# [OCIS](https://github.com/owncloud/ocis/)

<!-- metadata -->
* **Category**: Development
* **Status**: 1, alpha
* **Image**: [`owncloud/ocis`](https://hub.docker.com/r/owncloud/ocis), 2, upstream
* **Healthcheck**: No
* **Backups**: Yes
* **Email**: ?
* **Tests**: 2
* **SSO**: 3 (OIDC)
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`coop-cloud/traefik`][cc-traefik]
3. `abra app new ocis --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`

## SSO usage

By default OCIS includes a built-in Identity Provider. You can use another OpenID Connect provider, too. Keycloak works: Create a new Client, set it to Public mode (not Confidential) and set the `OCIS_OIDC_ISSUER` and `WEB_OIDC_CLIENT_ID` config variables.

## App commands

### `ocis`

To run the `ocis` command-line utility you can use the abra command `ocis`. Use it like this:
`abra app cmd YOURAPPDOMAIN app ocis`
